#113638 Report by node Laiyins-MacBook-Pro covering 1892 tests from 49 modules resulted into 19 errors

Report

ObsPy version
1.2.2
Continuous Integration
-
GitHub Pull Request
-
Report file
XML document
Total runtime
140.0 sec
Report date/time
2021-03-24 07:14:17

System / Python

Architecture
64bit
Machine
x86_64
Node
Laiyins-MacBook-Pro
Processor
i386
Python Compiler
Clang 11.0.1
Python Implementation
CPython
Python Version
3.7.10
Release
20.3.0
System
Darwin
Version
Darwin Kernel Version 20.3.0: Thu Jan 21 00:07:06 PST 2021; root:xnu-7195.81.3~1/RELEASE_X86_64

Dependencies

cartopy
0.18.0
decorator
4.4.2
flake8
---
future
0.18.2
geographiclib
---
lxml.etree
4.6.3
m2crypto
---
matplotlib
3.3.4
mock
---
mpl_toolkits.basemap
---
numpy
1.20.1
pep8-naming
---
pyflakes
---
pyimgur
---
pyproj
2.3.0
requests
2.25.1
scipy
1.6.1
setuptools
49.6.0.post20210108
shapefile
2.1.0
sqlalchemy
1.4.2

Modules (49)

Module Errors / Failures Tracebacks
obspy.clients.arclink Not tested -
obspy.clients.earthworm Not tested -
obspy.clients.fdsn Not tested -
obspy.clients.filesystem - -
obspy.clients.iris Not tested -
obspy.clients.neic Not tested -
obspy.clients.nrl Not tested -
obspy.clients.seedlink Not tested -
obspy.clients.seishub Not tested -
obspy.clients.syngine Not tested -
obspy.core 17 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17
obspy.db 1 18
obspy.geodetics - -
obspy.imaging 1 19
obspy.io.ah - -
obspy.io.arclink - -
obspy.io.ascii - -
obspy.io.cmtsolution - -
obspy.io.cnv - -
obspy.io.css - -
obspy.io.dmx - -
obspy.io.focmec - -
obspy.io.gcf - -
obspy.io.gse2 - -
obspy.io.hypodd - -
obspy.io.iaspei - -
obspy.io.json - -
obspy.io.kinemetrics - -
obspy.io.kml - -
obspy.io.mseed - -
obspy.io.ndk - -
obspy.io.nied - -
obspy.io.nlloc - -
obspy.io.nordic - -
obspy.io.pdas - -
obspy.io.pde - -
obspy.io.quakeml - -
obspy.io.reftek - -
obspy.io.rg16 - -
obspy.io.sac - -
obspy.io.scardec - -
obspy.io.seg2 - -
obspy.io.segy - -
obspy.io.seisan - -
obspy.io.seiscomp - -
obspy.io.sh - -
obspy.io.shapefile - -
obspy.io.stationtxt - -
obspy.io.stationxml - -
obspy.io.wav - -
obspy.io.win - -
obspy.io.xseed - -
obspy.io.y - -
obspy.io.zmap - -
obspy.realtime - -
obspy.scripts - -
obspy.signal - -
obspy.taup - -
Summary 19 19

Tracebacks (19)

Traceback (most recent call last):
File "/Users/laiyin/opt/anaconda3/envs/obspy/lib/python3.7/site-packages/obspy/core/tests/test_inventory.py", line 788, in test_location_plot_global
inv.plot(method='cartopy', outfile=ic.name)
File "/Users/laiyin/opt/anaconda3/envs/obspy/lib/python3.7/site-packages/obspy/core/inventory/inventory.py", line 959, in plot
from obspy.imaging.maps import plot_map
File "/Users/laiyin/opt/anaconda3/envs/obspy/lib/python3.7/site-packages/obspy/imaging/maps.py", line 33, in <module>
from mpl_toolkits.basemap import Basemap
File "/Users/laiyin/.local/lib/python3.7/site-packages/mpl_toolkits/basemap/__init__.py", line 50, in <module>
from .proj import Proj
File "/Users/laiyin/.local/lib/python3.7/site-packages/mpl_toolkits/basemap/proj.py", line 6, in <module>
from matplotlib.cbook import dedent
ImportError: cannot import name 'dedent' from 'matplotlib.cbook' (/Users/laiyin/opt/anaconda3/envs/obspy/lib/python3.7/site-packages/matplotlib/cbook/__init__.py)
Traceback (most recent call last):
File "/Users/laiyin/opt/anaconda3/envs/obspy/lib/python3.7/site-packages/obspy/core/tests/test_inventory.py", line 814, in test_location_plot_local
outfile=ic.name)
File "/Users/laiyin/opt/anaconda3/envs/obspy/lib/python3.7/site-packages/obspy/core/inventory/inventory.py", line 959, in plot
from obspy.imaging.maps import plot_map
File "/Users/laiyin/opt/anaconda3/envs/obspy/lib/python3.7/site-packages/obspy/imaging/maps.py", line 33, in <module>
from mpl_toolkits.basemap import Basemap
File "/Users/laiyin/.local/lib/python3.7/site-packages/mpl_toolkits/basemap/__init__.py", line 50, in <module>
from .proj import Proj
File "/Users/laiyin/.local/lib/python3.7/site-packages/mpl_toolkits/basemap/proj.py", line 6, in <module>
from matplotlib.cbook import dedent
ImportError: cannot import name 'dedent' from 'matplotlib.cbook' (/Users/laiyin/opt/anaconda3/envs/obspy/lib/python3.7/site-packages/matplotlib/cbook/__init__.py)
Traceback (most recent call last):
File "/Users/laiyin/opt/anaconda3/envs/obspy/lib/python3.7/site-packages/obspy/core/tests/test_inventory.py", line 801, in test_location_plot_ortho
colormap='Set3', color_per_network=True, outfile=ic.name)
File "/Users/laiyin/opt/anaconda3/envs/obspy/lib/python3.7/site-packages/obspy/core/inventory/inventory.py", line 959, in plot
from obspy.imaging.maps import plot_map
File "/Users/laiyin/opt/anaconda3/envs/obspy/lib/python3.7/site-packages/obspy/imaging/maps.py", line 33, in <module>
from mpl_toolkits.basemap import Basemap
File "/Users/laiyin/.local/lib/python3.7/site-packages/mpl_toolkits/basemap/__init__.py", line 50, in <module>
from .proj import Proj
File "/Users/laiyin/.local/lib/python3.7/site-packages/mpl_toolkits/basemap/proj.py", line 6, in <module>
from matplotlib.cbook import dedent
ImportError: cannot import name 'dedent' from 'matplotlib.cbook' (/Users/laiyin/opt/anaconda3/envs/obspy/lib/python3.7/site-packages/matplotlib/cbook/__init__.py)
Traceback (most recent call last):
File "/Users/laiyin/opt/anaconda3/envs/obspy/lib/python3.7/site-packages/obspy/core/tests/test_event.py", line 623, in test_catalog_plot_global
cat.plot(method='cartopy', outfile=ic.name)
File "/Users/laiyin/opt/anaconda3/envs/obspy/lib/python3.7/site-packages/obspy/core/event/catalog.py", line 656, in plot
from obspy.imaging.maps import plot_map, _plot_basemap_into_axes
File "/Users/laiyin/opt/anaconda3/envs/obspy/lib/python3.7/site-packages/obspy/imaging/maps.py", line 33, in <module>
from mpl_toolkits.basemap import Basemap
File "/Users/laiyin/.local/lib/python3.7/site-packages/mpl_toolkits/basemap/__init__.py", line 50, in <module>
from .proj import Proj
File "/Users/laiyin/.local/lib/python3.7/site-packages/mpl_toolkits/basemap/proj.py", line 6, in <module>
from matplotlib.cbook import dedent
ImportError: cannot import name 'dedent' from 'matplotlib.cbook' (/Users/laiyin/opt/anaconda3/envs/obspy/lib/python3.7/site-packages/matplotlib/cbook/__init__.py)
Traceback (most recent call last):
File "/Users/laiyin/opt/anaconda3/envs/obspy/lib/python3.7/site-packages/obspy/core/tests/test_event.py", line 661, in test_catalog_plot_local
color='date', colormap='gist_heat')
File "/Users/laiyin/opt/anaconda3/envs/obspy/lib/python3.7/site-packages/obspy/core/event/catalog.py", line 656, in plot
from obspy.imaging.maps import plot_map, _plot_basemap_into_axes
File "/Users/laiyin/opt/anaconda3/envs/obspy/lib/python3.7/site-packages/obspy/imaging/maps.py", line 33, in <module>
from mpl_toolkits.basemap import Basemap
File "/Users/laiyin/.local/lib/python3.7/site-packages/mpl_toolkits/basemap/__init__.py", line 50, in <module>
from .proj import Proj
File "/Users/laiyin/.local/lib/python3.7/site-packages/mpl_toolkits/basemap/proj.py", line 6, in <module>
from matplotlib.cbook import dedent
ImportError: cannot import name 'dedent' from 'matplotlib.cbook' (/Users/laiyin/opt/anaconda3/envs/obspy/lib/python3.7/site-packages/matplotlib/cbook/__init__.py)
Traceback (most recent call last):
File "/Users/laiyin/opt/anaconda3/envs/obspy/lib/python3.7/site-packages/obspy/core/tests/test_event.py", line 635, in test_catalog_plot_ortho
color='date')
File "/Users/laiyin/opt/anaconda3/envs/obspy/lib/python3.7/site-packages/obspy/core/event/catalog.py", line 656, in plot
from obspy.imaging.maps import plot_map, _plot_basemap_into_axes
File "/Users/laiyin/opt/anaconda3/envs/obspy/lib/python3.7/site-packages/obspy/imaging/maps.py", line 33, in <module>
from mpl_toolkits.basemap import Basemap
File "/Users/laiyin/.local/lib/python3.7/site-packages/mpl_toolkits/basemap/__init__.py", line 50, in <module>
from .proj import Proj
File "/Users/laiyin/.local/lib/python3.7/site-packages/mpl_toolkits/basemap/proj.py", line 6, in <module>
from matplotlib.cbook import dedent
ImportError: cannot import name 'dedent' from 'matplotlib.cbook' (/Users/laiyin/opt/anaconda3/envs/obspy/lib/python3.7/site-packages/matplotlib/cbook/__init__.py)
Traceback (most recent call last):
File "/Users/laiyin/opt/anaconda3/envs/obspy/lib/python3.7/site-packages/obspy/core/tests/test_event.py", line 649, in test_catalog_plot_ortho_longitude_wrap
water_fill_color='b')
File "/Users/laiyin/opt/anaconda3/envs/obspy/lib/python3.7/site-packages/obspy/core/event/catalog.py", line 656, in plot
from obspy.imaging.maps import plot_map, _plot_basemap_into_axes
File "/Users/laiyin/opt/anaconda3/envs/obspy/lib/python3.7/site-packages/obspy/imaging/maps.py", line 33, in <module>
from mpl_toolkits.basemap import Basemap
File "/Users/laiyin/.local/lib/python3.7/site-packages/mpl_toolkits/basemap/__init__.py", line 50, in <module>
from .proj import Proj
File "/Users/laiyin/.local/lib/python3.7/site-packages/mpl_toolkits/basemap/proj.py", line 6, in <module>
from matplotlib.cbook import dedent
ImportError: cannot import name 'dedent' from 'matplotlib.cbook' (/Users/laiyin/opt/anaconda3/envs/obspy/lib/python3.7/site-packages/matplotlib/cbook/__init__.py)
Traceback (most recent call last):
File "/Users/laiyin/opt/anaconda3/envs/obspy/lib/python3.7/site-packages/obspy/core/tests/test_network.py", line 354, in test_location_plot_global
net.plot(method='basemap', outfile=ic.name)
File "/Users/laiyin/opt/anaconda3/envs/obspy/lib/python3.7/site-packages/obspy/core/inventory/network.py", line 609, in plot
from obspy.imaging.maps import plot_map
File "/Users/laiyin/opt/anaconda3/envs/obspy/lib/python3.7/site-packages/obspy/imaging/maps.py", line 33, in <module>
from mpl_toolkits.basemap import Basemap
File "/Users/laiyin/.local/lib/python3.7/site-packages/mpl_toolkits/basemap/__init__.py", line 50, in <module>
from .proj import Proj
File "/Users/laiyin/.local/lib/python3.7/site-packages/mpl_toolkits/basemap/proj.py", line 6, in <module>
from matplotlib.cbook import dedent
ImportError: cannot import name 'dedent' from 'matplotlib.cbook' (/Users/laiyin/opt/anaconda3/envs/obspy/lib/python3.7/site-packages/matplotlib/cbook/__init__.py)
Traceback (most recent call last):
File "/Users/laiyin/opt/anaconda3/envs/obspy/lib/python3.7/site-packages/obspy/core/tests/test_network.py", line 386, in test_location_plot_local
size=13**2, outfile=ic.name)
File "/Users/laiyin/opt/anaconda3/envs/obspy/lib/python3.7/site-packages/obspy/core/inventory/network.py", line 609, in plot
from obspy.imaging.maps import plot_map
File "/Users/laiyin/opt/anaconda3/envs/obspy/lib/python3.7/site-packages/obspy/imaging/maps.py", line 33, in <module>
from mpl_toolkits.basemap import Basemap
File "/Users/laiyin/.local/lib/python3.7/site-packages/mpl_toolkits/basemap/__init__.py", line 50, in <module>
from .proj import Proj
File "/Users/laiyin/.local/lib/python3.7/site-packages/mpl_toolkits/basemap/proj.py", line 6, in <module>
from matplotlib.cbook import dedent
ImportError: cannot import name 'dedent' from 'matplotlib.cbook' (/Users/laiyin/opt/anaconda3/envs/obspy/lib/python3.7/site-packages/matplotlib/cbook/__init__.py)
Traceback (most recent call last):
File "/Users/laiyin/opt/anaconda3/envs/obspy/lib/python3.7/site-packages/obspy/core/tests/test_network.py", line 367, in test_location_plot_ortho
color='yellow', label=False, outfile=ic.name)
File "/Users/laiyin/opt/anaconda3/envs/obspy/lib/python3.7/site-packages/obspy/core/inventory/network.py", line 609, in plot
from obspy.imaging.maps import plot_map
File "/Users/laiyin/opt/anaconda3/envs/obspy/lib/python3.7/site-packages/obspy/imaging/maps.py", line 33, in <module>
from mpl_toolkits.basemap import Basemap
File "/Users/laiyin/.local/lib/python3.7/site-packages/mpl_toolkits/basemap/__init__.py", line 50, in <module>
from .proj import Proj
File "/Users/laiyin/.local/lib/python3.7/site-packages/mpl_toolkits/basemap/proj.py", line 6, in <module>
from matplotlib.cbook import dedent
ImportError: cannot import name 'dedent' from 'matplotlib.cbook' (/Users/laiyin/opt/anaconda3/envs/obspy/lib/python3.7/site-packages/matplotlib/cbook/__init__.py)
Traceback (most recent call last):
File "/Users/laiyin/opt/anaconda3/envs/obspy/lib/python3.7/site-packages/obspy/core/tests/test_network.py", line 412, in test_location_plot_global
net.plot(method='cartopy', outfile=ic.name)
File "/Users/laiyin/opt/anaconda3/envs/obspy/lib/python3.7/site-packages/obspy/core/inventory/network.py", line 609, in plot
from obspy.imaging.maps import plot_map
File "/Users/laiyin/opt/anaconda3/envs/obspy/lib/python3.7/site-packages/obspy/imaging/maps.py", line 33, in <module>
from mpl_toolkits.basemap import Basemap
File "/Users/laiyin/.local/lib/python3.7/site-packages/mpl_toolkits/basemap/__init__.py", line 50, in <module>
from .proj import Proj
File "/Users/laiyin/.local/lib/python3.7/site-packages/mpl_toolkits/basemap/proj.py", line 6, in <module>
from matplotlib.cbook import dedent
ImportError: cannot import name 'dedent' from 'matplotlib.cbook' (/Users/laiyin/opt/anaconda3/envs/obspy/lib/python3.7/site-packages/matplotlib/cbook/__init__.py)
Traceback (most recent call last):
File "/Users/laiyin/opt/anaconda3/envs/obspy/lib/python3.7/site-packages/obspy/core/tests/test_network.py", line 437, in test_location_plot_local
size=13**2, outfile=ic.name)
File "/Users/laiyin/opt/anaconda3/envs/obspy/lib/python3.7/site-packages/obspy/core/inventory/network.py", line 609, in plot
from obspy.imaging.maps import plot_map
File "/Users/laiyin/opt/anaconda3/envs/obspy/lib/python3.7/site-packages/obspy/imaging/maps.py", line 33, in <module>
from mpl_toolkits.basemap import Basemap
File "/Users/laiyin/.local/lib/python3.7/site-packages/mpl_toolkits/basemap/__init__.py", line 50, in <module>
from .proj import Proj
File "/Users/laiyin/.local/lib/python3.7/site-packages/mpl_toolkits/basemap/proj.py", line 6, in <module>
from matplotlib.cbook import dedent
ImportError: cannot import name 'dedent' from 'matplotlib.cbook' (/Users/laiyin/opt/anaconda3/envs/obspy/lib/python3.7/site-packages/matplotlib/cbook/__init__.py)
Traceback (most recent call last):
File "/Users/laiyin/opt/anaconda3/envs/obspy/lib/python3.7/site-packages/obspy/core/tests/test_network.py", line 425, in test_location_plot_ortho
color='yellow', label=False, outfile=ic.name)
File "/Users/laiyin/opt/anaconda3/envs/obspy/lib/python3.7/site-packages/obspy/core/inventory/network.py", line 609, in plot
from obspy.imaging.maps import plot_map
File "/Users/laiyin/opt/anaconda3/envs/obspy/lib/python3.7/site-packages/obspy/imaging/maps.py", line 33, in <module>
from mpl_toolkits.basemap import Basemap
File "/Users/laiyin/.local/lib/python3.7/site-packages/mpl_toolkits/basemap/__init__.py", line 50, in <module>
from .proj import Proj
File "/Users/laiyin/.local/lib/python3.7/site-packages/mpl_toolkits/basemap/proj.py", line 6, in <module>
from matplotlib.cbook import dedent
ImportError: cannot import name 'dedent' from 'matplotlib.cbook' (/Users/laiyin/opt/anaconda3/envs/obspy/lib/python3.7/site-packages/matplotlib/cbook/__init__.py)
Traceback (most recent call last):
File "/Users/laiyin/opt/anaconda3/envs/obspy/lib/python3.7/doctest.py", line 2204, in runTest
raise self.failureException(self.format_failure(new.getvalue()))
AssertionError: Failed doctest test for obspy.core.trace.Trace.times
File "/Users/laiyin/opt/anaconda3/envs/obspy/lib/python3.7/site-packages/obspy/core/trace.py", line 2487, in times
----------------------------------------------------------------------
File "/Users/laiyin/opt/anaconda3/envs/obspy/lib/python3.7/site-packages/obspy/core/trace.py", line 2529, in obspy.core.trace.Trace.times
Failed example:
tr.times("matplotlib")
Expected:
array([ 733643.01392361, 733643.01392373, 733643.01392384, ...,
733643.01427049, 733643.0142706 , 733643.01427072])
Got:
array([ 14480.01392361, 14480.01392373, 14480.01392384, ...,
14480.01427049, 14480.0142706 , 14480.01427072])
Traceback (most recent call last):
File "/Users/laiyin/opt/anaconda3/envs/obspy/lib/python3.7/doctest.py", line 2204, in runTest
raise self.failureException(self.format_failure(new.getvalue()))
AssertionError: Failed doctest test for obspy.core.utcdatetime.UTCDateTime.matplotlib_date
File "/Users/laiyin/opt/anaconda3/envs/obspy/lib/python3.7/site-packages/obspy/core/utcdatetime.py", line unknown line number, in matplotlib_date
----------------------------------------------------------------------
File "/Users/laiyin/opt/anaconda3/envs/obspy/lib/python3.7/site-packages/obspy/core/utcdatetime.py", line ?, in obspy.core.utcdatetime.UTCDateTime.matplotlib_date
Failed example:
t.matplotlib_date
Expected:
733643.0139780092
Got:
14480.01397800926
Traceback (most recent call last):
File "/Users/laiyin/opt/anaconda3/envs/obspy/lib/python3.7/site-packages/obspy/core/tests/test_utcdatetime.py", line 1093, in test_matplotlib_date
t.matplotlib_date, expected, decimal=8)
File "/Users/laiyin/opt/anaconda3/envs/obspy/lib/python3.7/site-packages/numpy/testing/_private/utils.py", line 597, in assert_almost_equal
raise AssertionError(_build_err_msg())
AssertionError:
Arrays are not almost equal to 8 decimals
ACTUAL: 5965.5723676839116
DESIRED: 725128.5723676839
Traceback (most recent call last):
File "/Users/laiyin/opt/anaconda3/envs/obspy/lib/python3.7/site-packages/obspy/core/tests/test_trace.py", line 1448, in test_times
np.testing.assert_allclose(got[:5], expected, rtol=1e-17)
File "/Users/laiyin/opt/anaconda3/envs/obspy/lib/python3.7/site-packages/numpy/testing/_private/utils.py", line 1529, in assert_allclose
verbose=verbose, header=header, equal_nan=equal_nan)
File "/Users/laiyin/opt/anaconda3/envs/obspy/lib/python3.7/site-packages/numpy/testing/_private/utils.py", line 842, in assert_array_compare
raise AssertionError(msg)
AssertionError:
Not equal to tolerance rtol=1e-17, atol=0
Mismatched elements: 5 / 5 (100%)
Max absolute difference: 719163.0
Max relative difference: 0.9849928778830878
x: array([ 10957. , 10957.000001, 10957.000001, 10957.000002,
10957.000002])
y: array([ 730120. , 730120.000001, 730120.000001, 730120.000002,
730120.000002])
Traceback (most recent call last):
File "/Users/laiyin/opt/anaconda3/envs/obspy/lib/python3.7/site-packages/sqlalchemy/sql/elements.py", line 812, in __getattr__
return getattr(self.comparator, key)
AttributeError: 'Comparator' object has no attribute '_text_converter_role'
The above exception was the direct cause of the following exception:
Traceback (most recent call last):
File "/Users/laiyin/opt/anaconda3/envs/obspy/lib/python3.7/site-packages/obspy/db/tests/test_client.py", line 248, in test_get_preview
starttime=dt, endtime=dt2)
File "/Users/laiyin/opt/anaconda3/envs/obspy/lib/python3.7/site-packages/obspy/db/client.py", line 257, in get_preview
WaveformChannel.channel == temp[3]))
File "/Users/laiyin/opt/anaconda3/envs/obspy/lib/python3.7/site-packages/sqlalchemy/sql/elements.py", line 2208, in append
coercions.expect(self._text_converter_role, clause).self_group(
File "/Users/laiyin/opt/anaconda3/envs/obspy/lib/python3.7/site-packages/sqlalchemy/sql/elements.py", line 823, in __getattr__
replace_context=err,
File "/Users/laiyin/opt/anaconda3/envs/obspy/lib/python3.7/site-packages/sqlalchemy/util/compat.py", line 198, in raise_
raise exception
AttributeError: Neither 'BooleanClauseList' object nor 'Comparator' object has an attribute '_text_converter_role'
>>> Cannot import test suite for module obspy.imaging due to:
-------------------------------------------------------------
File "/Users/laiyin/opt/anaconda3/envs/obspy/bin/obspy-runtests", line 8, in <module>
sys.exit(main())
File "/Users/laiyin/opt/anaconda3/envs/obspy/lib/python3.7/site-packages/obspy/scripts/runtests.py", line 747, in main
errors = run(argv, interactive)
File "/Users/laiyin/opt/anaconda3/envs/obspy/lib/python3.7/site-packages/obspy/scripts/runtests.py", line 715, in run
pr_url=args.pr_url)
File "/Users/laiyin/opt/anaconda3/envs/obspy/lib/python3.7/site-packages/obspy/scripts/runtests.py", line 542, in run_tests
suites, status, import_failures = _get_suites(verbosity, tests)
File "/Users/laiyin/opt/anaconda3/envs/obspy/lib/python3.7/site-packages/obspy/scripts/runtests.py", line 164, in _get_suites
suite.append(ut.loadTestsFromName(test, None))
File "/Users/laiyin/opt/anaconda3/envs/obspy/lib/python3.7/unittest/loader.py", line 205, in loadTestsFromName
test = obj()
File "/Users/laiyin/opt/anaconda3/envs/obspy/lib/python3.7/site-packages/obspy/imaging/tests/__init__.py", line 23, in suite
add_doctests(suite, MODULE_NAME)
File "/Users/laiyin/opt/anaconda3/envs/obspy/lib/python3.7/site-packages/obspy/core/util/testing.py", line 120, in add_doctests
fromlist=[native_str("obspy")])
File "/Users/laiyin/opt/anaconda3/envs/obspy/lib/python3.7/site-packages/obspy/imaging/maps.py", line 33, in <module>
from mpl_toolkits.basemap import Basemap
File "/Users/laiyin/.local/lib/python3.7/site-packages/mpl_toolkits/basemap/__init__.py", line 50, in <module>
from .proj import Proj
File "/Users/laiyin/.local/lib/python3.7/site-packages/mpl_toolkits/basemap/proj.py", line 6, in <module>
from matplotlib.cbook import dedent
ImportError: cannot import name 'dedent' from 'matplotlib.cbook' (/Users/laiyin/opt/anaconda3/envs/obspy/lib/python3.7/site-packages/matplotlib/cbook/__init__.py)

Skipped tests (24)

Submodule Test Skip message
core test_combined_station_event_plot (obspy.core.tests.test_inventory.InventoryBasemapTestCase) matplotlib 3.0.1 is not compatible with basemap
core test_location_plot_global (obspy.core.tests.test_inventory.InventoryBasemapTestCase) matplotlib 3.0.1 is not compatible with basemap
core test_location_plot_local (obspy.core.tests.test_inventory.InventoryBasemapTestCase) matplotlib 3.0.1 is not compatible with basemap
core test_location_plot_ortho (obspy.core.tests.test_inventory.InventoryBasemapTestCase) matplotlib 3.0.1 is not compatible with basemap
core test_catalog_plot_global (obspy.core.tests.test_event.CatalogBasemapTestCase) matplotlib 3.0.1 is not compatible with basemap
core test_catalog_plot_local (obspy.core.tests.test_event.CatalogBasemapTestCase) matplotlib 3.0.1 is not compatible with basemap
core test_catalog_plot_ortho (obspy.core.tests.test_event.CatalogBasemapTestCase) matplotlib 3.0.1 is not compatible with basemap
core test_catalog_plot_ortho_longitude_wrap (obspy.core.tests.test_event.CatalogBasemapTestCase) matplotlib 3.0.1 is not compatible with basemap
core test_plot_catalog_before_1900 (obspy.core.tests.test_event.CatalogBasemapTestCase) matplotlib 3.0.1 is not compatible with basemap
core test_plot_farfield_without_quiver_with_maps (obspy.core.tests.test_event.EventTestCase) matplotlib 3.0.1 is not compatible with basemap
core test_flake8 (obspy.core.tests.test_code_formatting.CodeFormattingTestCase) No code formatting tests for release builds
core test_use_obspy_deprecation_warning (obspy.core.tests.test_code_formatting.CodeFormattingTestCase) No code formatting tests for release builds
core test_future_imports_in_every_file (obspy.core.tests.test_code_formatting.FutureUsageTestCase) No code formatting tests for release builds
core test_no_pyplot_import_in_any_file (obspy.core.tests.test_code_formatting.MatplotlibBackendUsageTestCase) No code formatting tests for release builds
geodetics test_gps_2_dist_azimuth_with_geographiclib (obspy.geodetics.tests.test_util_geodetics.UtilGeodeticsTestCase) Module geographiclib is not installed
geodetics test_issue_375 (obspy.geodetics.tests.test_util_geodetics.UtilGeodeticsTestCase) Module geographiclib is not installed
signal test_schema_validation (obspy.signal.tests.test_quality_control.QualityControlTestCase) Test requires the jsonschema module
signal test_ppsd_spectrogram_plot (obspy.signal.tests.test_spectral_estimation.PsdTestCase) matplotlib >= 3 shifts labels
taup test_path_geo (obspy.taup.tests.test_taup_geo.TaupGeoTestCase) Module geographiclib is not installed or too old.
taup test_path_resampling (obspy.taup.tests.test_taup_geo.TaupGeoTestCase) Module geographiclib is not installed or too old.
taup test_compute_ray_paths (obspy.taup.tests.test_ray_paths.RayPathCalculationsTestCase) test needs geographiclib >= 1.34
taup test_p_iasp91_geo_manual (obspy.taup.tests.test_tau.TauPyModelTestCase) Module geographiclib is not installed
taup test_pierce_p_iasp91_geo (obspy.taup.tests.test_tau.TauPyModelTestCase) test needs geographiclib >= 1.34
taup test_single_path_geo_iasp91 (obspy.taup.tests.test_tau.TauPyModelTestCase) test needs geographiclib >= 1.34

Slowest tests (20)

Runtime Test
15.276s read (obspy.core.stream)
5.813s test_response_calculation_from_seed_and_xseed (obspy.io.xseed.tests.test_core.CoreTestCase)
5.358s __init__ (obspy.taup)
4.028s test_shoot_existing_ray_param (obspy.taup.tests.test_seismic_phase.TauPySeismicPhaseTestCase)
3.132s test_ppsd_restricted_stacks (obspy.signal.tests.test_spectral_estimation.PsdTestCase)
2.742s test_regional_models (obspy.taup.tests.test_tau.TauPyModelTestCase)
2.664s test_remove_response_plot (obspy.core.tests.test_trace.TraceTestCase)
2.556s test_relcal_different_overlaps (obspy.signal.tests.test_calibration.CalibrationTestCase)
2.548s plot_travel_times (obspy.taup.tau)
2.410s test_correlate_stream_template_and_correlation_detector (obspy.signal.tests.test_cross_correlation.CrossCorrelationTestCase)
2.333s test_read_url_via_network (obspy.core.tests.test_stream.StreamTestCase)
2.271s test_vs_java_iasp91 (obspy.taup.tests.test_tau.TauPyModelTestCase)
1.853s test_many_identically_named_phases (obspy.taup.tests.test_seismic_phase.TauPySeismicPhaseTestCase)
1.778s test_polarization_vidale (obspy.signal.tests.test_polarization.PolarizationTestCase)
1.684s test_rotate2zne_against_lqt_different_combinations (obspy.signal.tests.test_rotate.RotateTestCase)
1.597s test_auto_read_arclink_xml (obspy.io.arclink.tests.test_inventory_xml.ArclinkInventoryTestCase)
1.384s test_plot_tf_gofs (obspy.signal.tests.test_tf_misfit.TfPlotTestCase)
1.274s test_plot_travel_times_convenience (obspy.taup.tests.test_plotting.TauPyPlottingTestCase)
1.249s test_plot_tf_misfits (obspy.signal.tests.test_tf_misfit.TfPlotTestCase)
1.140s test_spherical_many_phases (obspy.taup.tests.test_plotting.TauPyPlottingTestCase)

Chuck Norris fact

Chuck Norris's database has only one table, 'Kick', which he DROPs frequently.